slib (3b6-1) unstable; urgency=low

  * New maintainer. (Closes: #721062)
  * New upstream release.
    - Fix compatibility with Guile. (Closes: #758850)
    - Fix compatibility with MIT Scheme. (Closes: #641369)
  * debian/control
    - Update to debhelper version 13.
    - Add dependency on sensible-utils.
    - Add link to VCS on Salsa.
    - Update standards version to 4.5.0.
    - Remove ancient Conflicts.
  * debian/compat: Remove.
  * debian/patches
    - Use gbp pq to manage patches.
    - Add patch to use sensible-browser in (browse-url).
    - Rebase on 3b6.
    - 712322_fix_doc_build.patch: was backported from upstream, no
      longer necessary.
    - do-not-regenerate-version-txi.patch: upstream behaviour changed,
      no longer necessary.
  * debian/rules
    - Upstream now uses a configure script.
    - Install missing non-Scheme files. (Closes: #652340)
    - Avoid rebuilding clrnamdb.scm which is included in upstream tarball.
  * debian/copyright
    - Convert to machine readable format.
    - Add missing copyright information for documentation.

 -- Nick Gasson <nick@nickg.me.uk>  Sat, 29 Aug 2020 14:15:08 +0800

slib (3b1-5) unstable; urgency=medium

  * QA upload.
  * Drop obsolete prerm.
  * Drop obsolete preinst.
  * Switch to minimal dh debian/rules.
  * Tidy up debian/patches a little bit.
  * Add a debian/clean file so that package builds twice in a row.
  * Do not regenerate version.txi just because Makefile was modified.
  * Try to be reproducible by setting PERL_HASH_SEED and using
    an init file for texi2html (inspired by texi2html test suite).

 -- Santiago Vila <sanvila@debian.org>  Tue, 29 Sep 2015 21:07:24 +0200

slib (3b1-4) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group (#721062)
  * Backport changes from upstream to fix build with texinfo 5.
    Closes: #712322
  * Use local version of schmooz.scm to make sure this fix is actually
    used.

 -- Ivo De Decker <ivodd@debian.org>  Tue, 11 Nov 2014 17:46:53 +0100

slib (3b1-3.1) unstable; urgency=low

  [ Jari Aalto ]
  * Non-maintainer upload.
    - Move to packaging format "3.0 (quilt)".
  * debian/compat
    - Update to 7.
  * debian/control
    - (Build-Depends-Indep): Update to debhelper 7.1.
    - (Depends): add ${misc:Depends}.
    - (Homepage): New field.
    - (Standards-Version): update to 3.8.4.
    + slib
      - (Depends): add ${misc:Depends}, install-info.
      - (Priority): remove inherited field.
      - (Section): remove inherited field.
  * debian/copyright
    - Update "more information" URL.
  * debian/doc-base
    - (Section): Remove obsolete top-level "Apps/".
  * debian/prerm
    - Remove path component from commands.
    - Remove obsolete install-docs, install-info commands.
  * debian/postinst
    - Remove obsolete install-docs, install-info commands.
    - Remove path component from commands.
  * debian/source/format
    - New file.
  * debian/watch
    - New file.

  [ Hideki Yamane (Debian-JP) <henrich@debian.or.jp> ]
  * debian/rules
    - (build): Rewrite make calls.
    - (binary-indep:): install *.html not slib/*.html to fix. It is
      useless to specify htmllib (FTBFS; Closes: #552911).

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 05 May 2010 03:13:42 +0300

slib (3b1-3) unstable; urgency=low

  * slib.sh: Specify #!/bin/bash.  (Closes: #465359)

  * slib.1: Put title *before* section in TH directive.

  * debian/rules (binary-indep): Call dh_md5sums toward the end.
  * debian/control (Build-Depends-Indep): Require debhelper version 5.
  * debian/compat: New file (level 5).

 -- Thomas Bushnell, BSG <tb@debian.org>  Sun, 24 Feb 2008 19:19:32 -0500

slib (3b1-2) unstable; urgency=low

  * guile.init (implementation-vicinity): Repeat change from 3a5-2.
    (Closes: #464143)

 -- Thomas Bushnell, BSG <tb@debian.org>  Thu, 07 Feb 2008 13:19:02 -0500

slib (3b1-1) unstable; urgency=low

  * New upstream release.
  * guile.init (library-vicinity): Repeat change from 3a4-2.
  * slib.texi (Library Catalogs): Repeat change from 3a3-3.
  * slib.sh: Repeat change from 3a5-3.
  * slib.1: Repeat change from 3a5-4.
  * Makefile: Repeat change from 3a2-1.

 -- Thomas Bushnell, BSG <tb@debian.org>  Mon, 04 Feb 2008 20:29:13 -0500

slib (3a5-4) unstable; urgency=low

  * slib.1 (.TH): Put in section number.
  * debian/rules (binary-indep): Install slib.1 documentation.

 -- Thomas Bushnell, BSG <tb@debian.org>  Mon, 21 Jan 2008 15:02:11 -0500

slib (3a5-3) unstable; urgency=low

  * debian/rules (binary-arch): Don't do anything here.  Fixes lintian
    warning binary-arch-rules-but-pkg-is-arch-indep.

  * debian/control (Standards-Version): Update to 3.7.3.  No changes needed.

  * slib.sh: Specify #!/bin/sh.

  * debian/slib.lintian-overrides: New file.  Don't complain about the
    usr/share/slib/init symlink.
  * debian/rules (binary-indep): Install slib.lintian-overrides as
    usr/share/lintian/overrides/slib in the final package.

 -- Thomas Bushnell, BSG <tb@debian.org>  Mon, 14 Jan 2008 16:41:39 -0500

slib (3a5-2) unstable; urgency=low

  * debian/rules (binary-indep): init subdir symlink should point to ".",
    not "..".  (Closes: #458172).

  * debian/preinst: New file.  Delete /usr/share/slib/init if it's a directory.
  * debian/rules (binary-indep): Install preinst into the right place.
    (Closes: #458181).

  * guile.init: Use old method of finding implementation-vicinity.

 -- Thomas Bushnell, BSG <tb@debian.org>  Sat, 29 Dec 2007 10:18:27 -0800

slib (3a5-1) unstable; urgency=low

  * New upstream release.

  * slib.texi (Library Catalogs): Repeat change from 3a3-3.

  * Makefile: Repeat $(htmldir)slib_toc.html changes from 3a2-1.

  * guile.init: (library-vicinity): Repeat change from 3a4-2.

  * debian/rules (binary-indep): Don't hide .init files in a separate
    subdirectory, thus conforming better to the usual slib practice.  Put a
    symlink in place to ease transitions.  (Closes: #407370).

 -- Thomas Bushnell, BSG <tb@debian.org>  Fri, 28 Dec 2007 16:25:32 -0800

slib (3a4-4) unstable; urgency=medium

  * Medium urgency because this fixes a release critical bug.

  * require.scm: Revert change from 3a4-2.
  * debian/control (slib): Conflict with scm (<< 5e3).  (Closes: #397529)

 -- Thomas Bushnell, BSG <tb@debian.org>  Wed,  8 Nov 2006 00:06:50 -0800

slib (3a4-3) unstable; urgency=high

  * slib.texi: Alter copyright notice to specify that there are no
    back cover or front cover texts, with permission of upstream copyright
    owner (Aubrey Jaffer) in accord with his new distribution zip archive.

 -- Thomas Bushnell, BSG <tb@debian.org>  Wed,  1 Nov 2006 21:54:30 -0800

slib (3a4-2) unstable; urgency=low

  * guile.init (library-vicinity): Set default location of slib to
    /usr/share/slib instead of /usr/lib/slib.
  * RScheme.init (library-vicinity): Likewise.

  * require.scm: Work around the fact that scm versions < 5e3 set
    *features* but not slib:features.

 -- Thomas Bushnell, BSG <tb@debian.org>  Tue, 24 Oct 2006 17:45:55 -0700

slib (3a4-1) unstable; urgency=low

  * New upstream release.

  * slib.texi (Library Catalogs): Repeat change from 3a3-3.

  * Makefile: Repeat $(htmldir)slib_toc.html changes from 3a2-1.

 -- Thomas Bushnell, BSG <tb@debian.org>  Mon, 23 Oct 2006 23:55:08 -0700

slib (3a3-4) unstable; urgency=low

  * debian/control (Standards-Version): Update to 3.7.2.

  * debian/copyright: Fix spelling error.

 -- Thomas Bushnell, BSG <tb@debian.org>  Tue,  3 Oct 2006 00:38:06 -0700

slib (3a3-3) unstable; urgency=low

  * slib.texi (Library Catalogs): Mention that a suffix (such as ".scm")
    may be appended to the filename on some systems.  (Closes: #147477)

  * postinst, prerm: Just know that install-docs is in /usr/sbin.
    (Closes: #293047)

  * debian/rules (binary-indep): Install slib.sh as /usr/bin/slib program.
    (Closes: #301437)

  * getopt.scm (*argv*): Comment out declaration.  (Closes: #248781)

 -- Thomas Bushnell, BSG <tb@debian.org>  Mon, 11 Sep 2006 22:48:39 -0700

slib (3a3-2) unstable; urgency=low

  * debian/postinst: If scm is installed, rebuild its slib catalog.

 -- Thomas Bushnell, BSG <tb@debian.org>  Sat, 27 May 2006 15:34:02 -0700

slib (3a3-1) unstable; urgency=low

  * New upstream release.  Change to guile.init for module correctness
    (from 3a2-5) is now in upstream.  We'll drop the path-search
    misfeature at this point, and stick to upstream's version, unless this
    causes actual difficulties.
  * Makefile: Repeat $(htmldir)slib_toc.html changes from 3a2-1.

  * debian/postinst: Fix typos in comments.  (Closes: #337571)

 -- Thomas Bushnell, BSG <tb@debian.org>  Wed, 26 Apr 2006 23:08:39 -0700

slib (3a2-5) unstable; urgency=low

  * guile.init (slib:load): Use the version that used to be in guile,
    which searches paths (not relevant to the present bug) and makes sure
    that loaded files land in the slib module (the cause of the present
    bug).
  * debian/control (slib): No longer conflict with gnucash of any version.

 -- Thomas Bushnell, BSG <tb@debian.org>  Mon, 16 Jan 2006 11:20:16 -0800

slib (3a2-4) unstable; urgency=high

  * Unfortunately, slib-3a2 has an undiagnosed interoperability problem
    with gnucash.  Problems have been seen on non-Debian systems as well,
    with both current and development versions of gnucash.  Accordingly,
    we need to conflict with Debian gnucash packages that don't have the
    (as yet unknown) fix.  So:
  * debian/control (slib): Conflict with gnucash (<= 1.8.12-3).

 -- Thomas Bushnell, BSG <tb@debian.org>  Sun, 15 Jan 2006 12:41:42 -0800

slib (3a2-3) unstable; urgency=low

  * Brought all source files up-to-date with upstream development snapshot.
  Repeat changes from version 3a2-1 in Makefile.

 -- Thomas Bushnell, BSG <tb@debian.org>  Sun,  4 Dec 2005 20:03:34 -0800

slib (3a2-2) unstable; urgency=low

  * Conflict with libguile9 <= 1:1.4-26 and guile-1.6-libs <= 1.6.7-1.1.
    These both contain a "slib.scm" (which is their version of the slib
    source's "guile.init") which is incompatible with this new version of
    slib.

 -- Thomas Bushnell, BSG <tb@debian.org>  Thu,  3 Nov 2005 19:48:57 -0800

slib (3a2-1) unstable; urgency=low

  * New upstream release.
  * Acknowledge NMU. (Closes: #281809)
  * Makefile: Don't hack Makefile; use rules instead.
  * debian/rules: Set on make invocations: prefix, htmldir, TEXI2HTML.
  * debian/rules (clean): Clean more stuff here.
  * Makefile: Comment out old rule for $(htmldir)slib_toc.html.  Instead,
    specify directly that the texi2html invocation produces that file.
  * debian/rules (binary-indep): Find web files in slib subdir.

  * debian/control (Build-Depends-Indep): Go back to using scm.

 -- Thomas Bushnell, BSG <tb@debian.org>  Wed,  2 Nov 2005 14:55:21 -0800

slib (3a1-5) unstable; urgency=low

  * New maintainer.

 -- Thomas Bushnell, BSG <tb@debian.org>  Mon, 31 Oct 2005 12:17:45 -0800

slib (3a1-4.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add guile.init.local for use within the build dir, since otherwise we
    have an (earlier unnoticed) circular build-dep due to a difference
    between scm and guile.

 -- Steve Langasek <vorlon@debian.org>  Mon, 10 Jan 2005 08:53:33 +0000

slib (3a1-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build-depend on guile-1.6 instead of scm, since the new version of
    scm is wedged in unstable (closes: #281809).

 -- Steve Langasek <vorlon@debian.org>  Sat,  8 Jan 2005 17:56:08 -0800

slib (3a1-4) unstable; urgency=low

  * Also check for expected creation on slibcat. (Closes: #240096)

 -- James LewisMoss <dres@debian.org>  Sun, 28 Mar 2004 17:29:19 -0500

slib (3a1-3) unstable; urgency=low

  * Also check for /usr/share/guile/1.6/slib before installing for guile
    1.6. (Closes: #239267)

 -- James LewisMoss <dres@debian.org>  Mon, 22 Mar 2004 20:53:40 -0500

slib (3a1-2) unstable; urgency=low

  * Add format.scm back into slib until gnucash stops using it.
  * Call guile-1.6 new-catalog (Closes: #238231)

 -- James LewisMoss <dres@debian.org>  Sat, 20 Mar 2004 16:51:07 -0500

slib (3a1-1) unstable; urgency=low

  * New upstream release
  * Remove Info section from doc-base file (Closes: #186950)
  * Remove period from end of description (linda, lintian)
  * html gen fixed upstream (Closes: #111778)

 -- James LewisMoss <dres@debian.org>  Sun, 14 Mar 2004 11:56:11 -0500

slib (2d4-2) unstable; urgency=low

  * Fix url for upstream source (Closes: #144981)
  * Fix typo in slib.texi (enquque->enqueue) (Closes: #147475)
  * Add build depends.

 -- James LewisMoss <dres@debian.org>  Thu, 23 May 2002 13:33:33 -0400

slib (2d4-1) unstable; urgency=low

  * New upstream.

 -- James LewisMoss <dres@debian.org>  Fri, 17 May 2002 11:23:06 -0400

slib (2d3-1) unstable; urgency=low

  * New upstream.
  * Remove texi2html call in debian/rules.  Now done upstream.  Add make
    html instead.
  * Changes to rules and doc-base to conform to upstream html gen
  * Clean up upstream makefile to make sure it cleans up after itself.

 -- James LewisMoss <dres@debian.org>  Sat,  6 Apr 2002 16:27:35 -0500

slib (2d2-1) unstable; urgency=low

  * New upstream version
  * Revert back to free.  Is now so.

 -- James LewisMoss <dres@debian.org>  Fri, 27 Jul 2001 23:45:29 -0400

slib (2d1-1) unstable; urgency=low

  * New upstream version.
  * Move to non-free.  FSF pointed out license doesn't allow modified
    versions to be distributed.
  * Get a complete list of copyrights that apply to the source into
    copyright file.
  * Remove setup for guile 1.3.
  * Remove postrm.  Just calling install-info (lintian)  Move install-info
    call to prerm since doc-base doesn't do install-info.

 -- James LewisMoss <dres@debian.org>  Mon, 21 May 2001 23:34:52 -0400

slib (2c9-3) unstable; urgency=low

  * Change info location to section "The Algorithmic Language Scheme" to
    match up with where guile puts it's files.
  * Postinst is running slibconfig now.  (Closes: #75891)

 -- James LewisMoss <dres@debian.org>  Mon, 11 Dec 2000 03:39:43 -0500

slib (2c9-2) unstable; urgency=low

  * Stop installing slibconfig (for guile).
  * In postinst if /usr/sbin/slibconnfig exists call it (Close: #75843
    #75891).

 -- James LewisMoss <dres@debian.org>  Sun,  5 Nov 2000 00:10:51 -0500

slib (2c9-1) unstable; urgency=low

  * New upstream (Closes: #74760)
  * replace string-index with strsrch:string-index in http-cgi.scm.
  * Add doc-base support (Closes: #31163)

 -- James LewisMoss <dres@debian.org>  Sun, 22 Oct 2000 22:15:55 -0400

slib (2c7-1) unstable; urgency=low

  * New upstream.
  * Add slibconfig back in.

 -- James LewisMoss <dres@debian.org>  Mon,  6 Dec 1999 19:32:57 -0500

slib (2c6-2) unstable; urgency=low

  * Remove the slib$(VERSION).info file.  Cut the diff back down to
    size.

 -- James LewisMoss <dres@debian.org>  Sat, 13 Nov 1999 14:10:38 -0500

slib (2c6-1) unstable; urgency=low

  * New upstream.
  * Move docs to /usr/share. Up standards version. add /usr/doc symlink.
    Move info files.  Remove undocumented link.

 -- James LewisMoss <dres@debian.org>  Sat, 13 Nov 1999 12:56:18 -0500

slib (2c5-6) unstable; urgency=low

  * Lowercase two vars in yasyn.scm (Fixes bug #37222)

 -- James LewisMoss <dres@debian.org>  Sat, 10 Jul 1999 19:17:04 -0400

slib (2c5-5) unstable; urgency=low

  * Fix it so string-index isn't defined (now there is a
    strsrch:string-index) (Fixes #38812)

 -- James LewisMoss <dres@debian.org>  Fri,  9 Jul 1999 21:30:19 -0400

slib (2c5-4) unstable; urgency=low

  * Don't run slibconfig in postinst.  (Fixes bug #38253, #37733, #37715,
    #37746,  #37809, #37917, #38123, #38462)

 -- James LewisMoss <dres@debian.org>  Thu,  3 Jun 1999 20:19:53 -0400

slib (2c5-3) unstable; urgency=low

  * Run slibconfig in postinst.  It was commented out there, but I don't
    see any old bug reports on why it was commented out, so let's try
    again. :)  (Fixes bug #37221)

 -- James LewisMoss <dres@debian.org>  Wed, 12 May 1999 22:37:02 -0400

slib (2c5-2) unstable; urgency=low

  * Link mklibcat.scm to mklibcat.  Fixes a problem with using slib with
    guile.

 -- James LewisMoss <dres@debian.org>  Sun,  7 Mar 1999 21:51:35 -0500

slib (2c5-1) unstable; urgency=low

  * New upstream.

 -- James LewisMoss <dres@debian.org>  Sun,  7 Mar 1999 10:10:27 -0500

slib (2c3-4) unstable; urgency=low

  * New maintainer.

 -- James LewisMoss <dres@debian.org>  Fri, 26 Feb 1999 00:52:26 -0500

slib (2c3-3) frozen unstable; urgency=low

  * Fixes #16235.
  * Fixes #19943.
  * Fixes #20265.
  * Fixes #24917.
  * Fixes #27389.

 -- David N. Welton <davidw@efn.org>  Mon,  9 Nov 1998 21:18:01 -0800

slib (2c3-2) frozen unstable; urgency=low

  * Re-uploaded for slink freeze.

 -- David N. Welton <davidw@efn.org>  Mon,  2 Nov 1998 21:07:07 -0800

slib (2c3-1) unstable; urgency=low

  * New upstream release.

 -- David N. Welton <davidw@efn.org>  Mon, 26 Oct 1998 22:14:30 -0800

slib (2c0-3) unstable; urgency=low

  * New maintainer.
  * slibconfig script to automatically configure guile.
  * Fix type in description, closes: Bug#18996

 -- Jim Pick <jim@jimpick.com>  Sun,  8 Mar 1998 23:05:22 -0800

slib (2c0-2) unstable; urgency=low

  * Minor fix for debian/rules targets

 -- Rob Browning <rlb@cs.utexas.edu>  Fri, 12 Dec 1997 17:35:22 -0600

slib (2c0-1) unstable; urgency=low

  * New upstream source
  * New maintainer

 -- Rob Browning <rlb@cs.utexas.edu>  Fri, 12 Dec 1997 16:49:13 -0600

slib (2a6-1) unstable; urgency=low

  * First Debian release.

 -- Karl Sackett <krs@debian.org>  Mon, 16 Dec 1996 09:23:46 -0600
